Subject: bug#5930: closed (Re: bug#6499: 23.1; Emacs gets stuck waiting for menu input)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Jul 2010 12:49:04 +0000

Your bug report

#6499: 23.1; Dead buffer list

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6499: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6499
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6499: 23.1; Emacs gets stuck waiting for menu input
From: Jan Djärv <[email-masked]>
To: Tobias Bading <[email-masked]>
Cc: [email-masked], [email-masked], Marius Kjeldahl <[email-masked]>
Date: Fri, 16 Jul 2010 14:48:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Tobias Bading skrev 2010-07-16 12.05:
> Hi,
>
> could someone please reopen bug #6499? IMHO this hasn't been fixed yet. I just
> tried trunk r100830 and Jan's patch from the emacs-23 branch has made it into
> the trunk, causing the following side-effect:

The patch is not in trunk, 100830 fixed 6645.  It is not in trunk 100831 either.

Please learn to use bzr log.  It tells you which bugs have been fixed.

	Jan D.

Subject: 23.1; Dead buffer list
From: Ingo Thies <[email-masked]>
To: [email-masked]
Date: Sun, 11 Apr 2010 20:49:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

After a recent Fink update (message to Fink mailing list already submitted)
The buffers list in the "Buffers" menu remains inactive, i.e. none of the
loaded buffers appear in the list, only *scratch*, *messages* and 
*warnings*.
Loaded buffers can still be selected by clicking on "List all buffers" and
maybe with C-x b.
Neither relaunch of emacs, X11 nor full reboot helps. Other
problems than the dead buffer list may be there but not yet encountered.

In GNU Emacs 23.1.1 (i386-apple-darwin9.8.0, GTK+ Version 2.16.6)
of 2009-09-19 on ingo-thiess-macbook.local
Windowing system distributor `The X.Org Foundation', version 11.0.10706000
configured using `configure '--prefix=/sw' 
'--disable-dependency-tracking' '--infodir=${prefix}/share/info' 
'--mandir=${prefix}/share/man' '--libexecdir=${prefix}/lib' 
'PKG_CONFIG_PATH=/sw/lib/pango-ft219/lib/pkgconfig:/sw/lib/fontconfig2/lib/pkgconfig:/sw/lib/freetype219/lib/pkgconfig:' 
'FREETYPE_CONFIG=/sw/lib/freetype219/bin/freetype-config' 
'--x-includes=/usr/X11R6/include' '--x-libraries=/usr/X11R6/lib' 
'--with-x' '--with-x-toolkit=gtk' 'CFLAGS=-Os -pipe' 
'LDFLAGS=-L/sw/lib/pango-ft219/lib -L/sw/lib/freetype219/lib 
-L/sw/lib/fontconfig2/lib' 'LIBS=-L/sw/lib -L/usr/X11/lib' 
'CPPFLAGS=-I/sw/lib/pango-ft219/include/pango-1.0 
-I/sw/lib/pango-ft219/include -I/sw/lib/freetype219/include/freetype2 
-I/sw/lib/freetype219/include -I/sw/lib/fontconfig2/include -I/sw/include''

Important settings:
value of $LC_ALL: nil
value of $LC_COLLATE: nil
value of $LC_CTYPE: nil
value of $LC_MESSAGES: nil
value of $LC_MONETARY: nil
value of $LC_NUMERIC: nil
value of $LC_TIME: nil
value of $LANG: nil
value of $XMODIFIERS: nil
locale-coding-system: nil
default-enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
show-paren-mode: t
delete-selection-mode: t
tooltip-mode: t
tool-bar-mode: t
mouse-wheel-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
global-auto-composition-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
column-number-mode: t
line-number-mode: t
transient-mark-mode: t
view-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<menu-bar> <help-menu> <send-emacs-bug-report> D e
a d SPC b u f f e r SPC l i s t <return> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <menu-bar> <help-menu> <se
nd-emacs-bug-report>

Recent messages:
Loading paren...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Setting up indent for shell type sh
setting up indent stuff
Indentation variables are now local.
Indentation setup for shell type sh
Setting up indent for shell type bash
setting up indent stuff
Indentation variables are now local.
Indentation setup for shell type bash